# $Id: perl-MRO-Compat.spec 6317 2008-05-14 03:14:18Z dag $
# Authority: dag
# Upstream: Brandon L. Black <blblack$gmail,com>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name MRO-Compat

Summary: mro::* interface compatibility for Perls < 5.9.5
Name: perl-MRO-Compat
Version: 0.09
Release: 1.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/MRO-Compat/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/authors/id/B/BL/BLBLACK/MRO-Compat-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(Class::C3) >= 0.19
BuildRequires: perl(Class::C3::XS)
BuildRequires: perl(Test::More) >= 0.47

%description
mro::* interface compatibility for Perls < 5.9.5.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc ChangeLog MANIFEST META.yml README
%doc %{_mandir}/man3/MRO::Compat.3pm*
%dir %{perl_vendorlib}/MRO/
#%{perl_vendorlib}/MRO/Compat/
%{perl_vendorlib}/MRO/Compat.pm

%changelog
* Tue Jul 01 2008 Dag Wieers <dag@wieers.com> - 0.09-1 - 6317+/dag
- Updated to release 0.09.

* Sun Dec 30 2007 Dag Wieers <dag@wieers.com> - 0.05-1
- Initial package. (using DAR)
